PHPExcel_Worksheet_RowIterator

Used to iterate rows in a PHPExcel_Worksheet

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new row iterator

    __construct(\PHPExcel_Worksheet $subject, integer $startRow)

### Parameters

#### $subject

`\PHPExcel_Worksheet`

The worksheet to iterate over

#### $startRow

`integer`

The row number at which to start iterating

## Destructor

    __destruct()

## Return the current row in this worksheet

    current() : \PHPExcel_Worksheet_Row

### Returns

`\PHPExcel_Worksheet_Row`

## Return the current iterator key

    key() : int

### Returns

`int`

## Set the iterator to its next value

    next()

## Set the iterator to its previous value

    prev()

## (Re)Set the start row and the current row pointer

    resetStart(integer $startRow)

### Parameters

#### $startRow

`integer`

The row number at which to start iterating

## Rewind the iterator to the starting row

    rewind()

## Set the row pointer to the selected row

    seek(integer $row)

### Parameters

#### $row

`integer`

The row number to set the current pointer at

## Indicate if more rows exist in the worksheet

    valid() : boolean

### Returns

`boolean`

### Properties

##

    $_position : int

##

    $_startRow : int

##

    $_subject : \PHPExcel_Worksheet